Oore CI

Get build test results

Returns the test summary and failed tests of a build. Each failure carries its outcome in recent test-reporting builds of the same pipeline and whether it looks flaky.

Operation IDget_build_test_results
GET
/v1/builds/{build_id}/tests

Returns the test summary and failed tests of a build. Each failure carries its outcome in recent test-reporting builds of the same pipeline and whether it looks flaky.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

build_id*string

Build ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/builds/string/tests"
{  "failures": [    {      "duration_ms": 0,      "flaky": true,      "history": [        {          "build_id": "string",          "build_number": 0,          "status": "string"        }      ],      "message": "string",      "name": "string",      "stack_trace": "string",      "step": "string",      "suite": "string"    }  ],  "history_window": 0,  "summary": null}